#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: generic-deriving
version: 1.8.0
id: generic-deriving-1.8.0-16465c51463978b2dc6de17cefae04b6
key: gener_1Q2nStr4JSvHfQMGPOhz3e
license: BSD3
copyright: 2011-2013 Universiteit Utrecht, University of Oxford
maintainer: generics@haskell.org
stability: experimental
synopsis: Generic programming library for generalised deriving.
description:
    This package provides functionality for generalising the deriving mechanism
    in Haskell to arbitrary classes. It was first described in the paper:
    .
    *  /A generic deriving mechanism for Haskell/.
    Jose Pedro Magalhaes, Atze Dijkstra, Johan Jeuring, and Andres Loeh.
    Haskell'\''10.
    .
    The current implementation integrates with the new GHC Generics. See
    <http://www.haskell.org/haskellwiki/GHC.Generics> for more information.
    Template Haskell code is provided for supporting GHC before version 7.2.
category: Generics
author: José Pedro Magalhães
exposed: True
exposed-modules:
    Generics.Deriving Generics.Deriving.Base
    Generics.Deriving.Instances Generics.Deriving.Copoint
    Generics.Deriving.ConNames Generics.Deriving.Enum
    Generics.Deriving.Eq Generics.Deriving.Foldable
    Generics.Deriving.Functor Generics.Deriving.Monoid
    Generics.Deriving.Show Generics.Deriving.Traversable
    Generics.Deriving.Uniplate Generics.Deriving.TH
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/generic-deriving-1.8.0
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/generic-deriving-1.8.0
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/generic-deriving-1.8.0
hs-libraries: HSgeneric-deriving-1.8.0-1Q2nStr4JSvHfQMGPOhz3e
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    ghc-prim-0.4.0.0-af16264bc80979d06e37ac63e3ba9a21
    template-haskell-2.10.0.0-08b8877239099034286979627d937e79
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/generic-deriving-1.8.0/html/generic-deriving.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/generic-deriving-1.8.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
